<?php
$amaslidewtp_apikey = get_option('leowtpamzslide_apikey');
$amaslidewtp_secretkey = get_option('leowtpamzslide_secretkey');
$amaslidezoncategory = "All";
$amaslidewtp_tag = get_option('leowtpamzslide_afftag');
$amaslidewtp_cta = get_option('leowtpamzslide_cta');
define('AWS_API_KEY', $amaslidewtp_apikey);
define('AWS_API_SECRET_KEY', $amaslidewtp_secretkey);
define('AWS_ASSOCIATE_ID', $amaslidewtp_tag);

if (get_option('leowtpamzslide_locale') == "amazon.com") {
$amaslidewtp_country = 'COM';
} elseif (get_option('leowtpamzslide_locale') == "amazon.co.uk") {
$amaslidewtp_country = 'CO.UK';
} elseif (get_option('leowtpamzslide_locale') == "amazon.ca") {
$amaslidewtp_country = 'CA';
} elseif (get_option('leowtpamzslide_locale') == "amazon.de") {
$amaslidewtp_country = 'DE';
} elseif (get_option('leowtpamzslide_locale') == "amazon.fr") {
$amaslidewtp_country = 'FR';
}

$amaslidewtp_search = get_option('leowtpamzslide_keyword');
$amaslidewtp_keyword = str_replace("'", "", $amaslidewtp_search);

function amaslide_limit_words($string, $word_limit) {
    $words = explode(' ', $string, ($word_limit + 1));
    if(count($words) > $word_limit)
    array_pop($words);
    return implode(' ', $words);
}
?>
<style type="text/css">
.amaslide_list {
    font-family:Tahoma, Helvetica, sans-serif;
    position:fixed;
    right:-220px;
    top:90px;
    margin:0;
    padding:0;
}
span.amaslide_shuffle{
    background:#E9E9E9 url(<?php echo site_url() .'/wp-content/plugins/wtp-amaslidepro/icon-shuffle.png'; ?>) no-repeat 7px 50%;
    width:28px;
    height:28px;
    display:block;
    margin:10px 0px 0px 20px;
    cursor:pointer;
    padding:4px;
    border:1px solid #CCC;
    -moz-border-radius:5px 0px 0px 5px;
    -webkit-border-bottom-left-radius: 5px;
    -webkit-border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
    border-top-left-radius: 5px;
}
.amaslide_list ul{
    font-family:Tahoma, Helvetica, sans-serif;
    margin:0;
    padding:0;
    list-style:none;
}
.amaslide_list ul li{
    font-family:Tahoma, Helvetica, sans-serif;
    width: 240px;
    margin-bottom:5px;
    display:none;
}
.amaslide_list ul li .amaslide_thepost{
    font-family:Tahoma, Helvetica, sans-serif;
    display: block;
    line-height:1.3em;
    width: 240px;
    height: 80px;
    background:#F7F7F7;
    border:1px solid #B3B3B3;
    -moz-border-radius:5px 0px 0px 5px;
    -webkit-border-bottom-left-radius: 5px;
    -webkit-border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
    border-top-left-radius: 5px;
}
.amaslide_thepost img{
    width:64px;
    max-height:64px;
    float:left;
    margin:4px 10px 0px 4px;
    border:1px solid #CCC;
    -moz-box-shadow:1px 1px 2px #999;
    -webkit-box-shadow:1px 1px 2px #999;
    box-shadow:1px 1px 2px #999;
}
.amaslide_list span.amaslide_title{
    font-family:Tahoma, Helvetica, sans-serif;
    line-height:1.2em;
    height:42px;
    font-size:12px;
    color:#333;
    display:block;
    margin:3px 0px 0px 20px;
    text-shadow:1px 1px 1px #F9F9F9;
    padding-top:1px;
}
.amaslide_list .amaslide_links{
    width:195px;
    padding-top:5px;
    display:block;
    margin-left:42px;
}
.amaslide_list .amaslide_links a{
    font-family:Tahoma, Helvetica, sans-serif;
    background: #F9F9F9;
    padding: 2px 18px;
    font-size:10px;
    font-weight:bold;
    color: #444;
    text-decoration: none;
    line-height: 1;
    -moz-box-shadow: 0 1px 3px #999;
    -webkit-box-shadow: 0 1px 3px #999;
    box-shadow:0 1px 3px #999;
    cursor: pointer;
    outline:none;
}
.amaslide_list .amaslide_links a:hover{
    background-color:#333;
    color:#fff;
}
<?php if (get_option('leowtpamzslide_mobile') == "false") { ?>
@media screen and (max-width:480px) {
#amaslide_list, .amaslide_list {display: none;}
}
<?php } ?>
</style>

<?php
//find what we are searching for using GET
$amaslidesearch = $amaslidewtp_keyword;

require_once 'leo-azonlib.php';

//declare the amazon ECS class
$amaslideamazonEcs = new AmaSlideWTPAmazonECS(AWS_API_KEY, AWS_API_SECRET_KEY, $amaslidewtp_country, AWS_ASSOCIATE_ID);

//tell the amazon class that we want an array, not an object
$amaslideamazonEcs->setReturnType(AmaSlideWTPAmazonECS::RETURN_TYPE_ARRAY);

//create the amazon object (array)
$amaslideresponse = $amaslideamazonEcs->category($amaslidezoncategory)->responseGroup('Large,Images,Offers')->optionalParameters(array('Condition' => 'New', 'MinimumPrice' => '1000'))->search($amaslidesearch);
$amaslidelimit = 9;

//check that there are items in the response
if (isset($amaslideresponse['Items']['Item']) ) {
echo '<div id="amaslide_list" class="amaslide_list">
    <ul>';

    //loop through each item
    foreach ($amaslideresponse['Items']['Item'] as $result) {

$amaslidenumb++;
if($amaslidenumb == ($amaslidelimit+1)) break;

        //check that there is a ASIN code - for some reason, some items are not
        //correctly listed. Im sure there is a reason for it, need to check.
        if (isset($result['ASIN'])) {

            //store the ASIN code in case we need it
            $amaslidepostasin = $result['ASIN'];
            $amaslideposttitle = $result['ItemAttributes']['Title'];;


            //check that there is a URL. If not - no need to bother showing
            //this one as we only want linkable items
            if (isset($result['DetailPageURL'])) { ?>


        <li>
            <div class="amaslide_thepost">

                <a target="_blank" style="cursor: pointer;" rel="nofollow" onclick="window.open('<?php echo $result['DetailPageURL']; ?>'); return false;"><img src="<?php echo $result['MediumImage']['URL']; ?>" alt="<?php echo $result['ItemAttributes']['Title']; ?>" /></a>

                <span class="amaslide_title"><a target="_blank" style="cursor: pointer;" rel="nofollow" onclick="window.open('<?php echo $result['DetailPageURL']; ?>'); return false;"><?php echo amaslide_limit_words($amaslideposttitle,9); ?>..</a></span>

                <span class="amaslide_links"><a target="_blank" style="cursor: pointer;" rel="nofollow" onclick="window.open('<?php echo $result['DetailPageURL']; ?>'); return false;"><?php echo $amaslidewtp_cta; ?></a></span>
            </div>

        </li>
<?php }
	}
    }
echo '</ul>
<span id="amaslide_shuffle" class="amaslide_shuffle" title="Shuffle!"></span>
</div>';
} else {

    //display that nothing was found - should no results be found
    echo "<div id='amaslide_list' class='amaslide_list'>No products found.</div>";

}
?>