(function($) {
/**
				* the list of posts
				*/
				var $amalist 		= $('#amaslide_list ul');
				/**
				* number of related posts
				*/
				var elems_cnt 		= $amalist.children().length;
				
				/**
				* show the first set of posts.
				* 200 is the initial left margin for the list elements
				*/
				load(200);
				
				function load(initial){
					$amalist.find('li').hide().andSelf().find('div').css('margin-left',-initial+'px');
					var loaded	= 0;

					while(loaded < 3){
						var r 		= Math.floor(Math.random()*elems_cnt);
						var $elem	= $amalist.find('li:nth-child('+ (r+1) +')');
						if($elem.is(':visible'))
							continue;
						else
							$elem.show();
						++loaded;
					}
					//animate them
					var d = 200;
					$amalist.find('li:visible div').each(function(){
						$(this).stop().animate({
							'marginLeft':'-50px'
						},d += 100);
					});
				}
					
				/**
				* hovering over the list elements makes them slide out
				*/	
				$amalist.find('li:visible').live('mouseenter',function () {
					$(this).find('.amaslide_thepost').stop().animate({
						'marginLeft':'-220px'
					},200);
				}).live('mouseleave',function () {
					$(this).find('.amaslide_thepost').stop().animate({
						'marginLeft':'-50px'
					},200);
				});
				
				/**
				* when clicking the shuffle button,
				* show random posts
				*/
				$('#amaslide_shuffle').unbind('click')
								.bind('click',shuffle)
								.stop()
								.animate({'margin-left':'-18px'},700);
								
				function shuffle(){
					$amalist.find('li:visible div').stop().animate({
						'marginLeft':'60px'
					},200,function(){
						load(-60);
					});
				}
})(jQuery);