<?php
$amaslidepluginnames = "AmaSlidePro";
$amaslideshortnamesplugin = "leowtpamzslide";

$amaslidecategories = get_categories('hide_empty=0&orderby=name');
$amaslide_cats = array();
foreach ($amaslidecategories as $amaslidecategory_list ) {
$amaslideplugin_cats[$amaslidecategory_list->cat_ID] = $amaslidecategory_list->cat_name;
}
array_unshift($amaslide_cats, "Select a category:");

function amaslidepluginleolover_option($page_option)
{
global $wpdb;
$page_option_id = $wpdb->get_var("SELECT ID FROM $wpdb->posts WHERE post_name = '".$page_option."'");
return $page_option_id;
}
$amaslideoptionsplugin = array (
array( "type" => "open"),
array( "name" => $amaslidepluginnames." Options",
"type" => "title"),
array( "name" => "AmaSlidePro Setting",
"type" => "above"),
array( "name" => "General AmaSlidePro Setting",
"id" => $amaslideshortnamesplugin."_subheadline",
"type" => "subheadline"),

array( "name" => "Enable AmaSlide",
"desc" => "Enable this option to begin displaying AmaSlide Bar on your site",
"id" => $amaslideshortnamesplugin."_status",
"std" => "false",
"type" => "checkbox"),

array( "name" => "Your Amazon API Key (Access Key ID)",
"desc" => "Input your Amazon API Key (Access Key ID).",
"id" => $amaslideshortnamesplugin."_apikey",
"std" => "",
"type" => "text"),

array( "name" => "Your Amazon Secret Access Key",
"desc" => "Input your Amazon Secret Access Key.",
"id" => $amaslideshortnamesplugin."_secretkey",
"std" => "",
"type" => "text"),

array( "name" => "Amazon Country",
"desc" => "Select Amazon country that you are going to use.",
"id" => $amaslideshortnamesplugin."_locale",
"std" => "amazon.com",
"options" => array("amazon.com", "amazon.co.uk", "amazon.ca", "amazon.de", "amazon.fr"),  
"type" => "select"),

array( "name" => "Your Amazon Affiliate ID",
"desc" => "Input your Amazon affiliate tag ID.",
"id" => $amaslideshortnamesplugin."_afftag",
"std" => "amazon-20",
"type" => "text"),

array( "name" => "Input Keyword",
"desc" => "Input keywords for Amazon product that you want to display.",
"id" => $amaslideshortnamesplugin."_keyword",
"std" => "Childrens Book",
"type" => "text"),

array( "name" => "Call To Action Text",
"desc" => "Input the CTA text, eg: Check Price, Read Review, Buy Now and so on..",
"id" => $amaslideshortnamesplugin."_cta",
"std" => "Read Review",
"type" => "text"),

array( "name" => "Advanced Setting",
"id" => $amaslideshortnamesplugin."_subheadline",
"type" => "subheadline"),

array( "name" => "Hide AmaSlide For Mobile Users (BETA)",
"desc" => "Enable this option to hide the AmaSlide bar for mobile visitors.",
"id" => $amaslideshortnamesplugin."_mobile",
"std" => "false",
"type" => "checkbox"),

array( "type" => "close")
);
function plugin_leoloveramaslideplugin_admin() {
global $amaslidepluginnames, $amaslideshortnamesplugin, $amaslideoptionsplugin;
if ( $_GET['page'] == basename(__FILE__) ) {
if ( 'save' == $_REQUEST['action'] ) {
foreach ($amaslideoptionsplugin as $value) {
update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }
foreach ($amaslideoptionsplugin as $value) {
if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }
header("Location: plugins.php?page=amaslide-admin.php&saved=true");
die;
}
else if( 'reset' == $_REQUEST['action'] ) {
foreach ($amaslideoptionsplugin as $value) {
delete_option( $value['id'] ); }
header("Location: plugins.php?page=amaslide-admin.php&reset=true");
die;
}
}
add_submenu_page( 'plugins.php', $amaslidepluginnames, $amaslidepluginnames, 'administrator',  basename(__FILE__), 'amaslidepluginleolover_admin' );
}
function plugin_leoloveramaslideplugin_init() {
$file_dir=get_bloginfo('siteurl');
wp_enqueue_style("amaslidestyle", $file_dir."/wp-content/plugins/wtp-amaslidepro/amaslide-style.css", false, "1.0", "all");
}
function amaslidepluginleolover_admin() {
global $amaslidepluginnames, $amaslideshortnamesplugin, $amaslideoptionsplugin;
$i=0;
if ( $_REQUEST['saved'] ) echo '<div style="margin-top: 7px;"><div id="message" class="updated fade"><p><strong>'.$amaslidepluginnames.' settings saved.</strong></p></div></div>';
if ( $_REQUEST['reset'] ) echo '<div style="margin-top: 7px;"><div id="message" class="updated fade"><p><strong>'.$amaslidepluginnames.' settings reset.</strong></p></div></div>';
?>

<div id="leoamaslideplugin">
<div class="leoamaslideplugin_wrap">

<div style="float:right;text-align:right;"><span class="sponsor_leoamaslideplugin">By <a href="http://wpthemeplugin.com" target="_blank" style="text-decoration: none;">WPThemePlugin Team</a><br />View <a href="http://docs.wpthemeplugin.com/azonmegamenu-manual-userguide" target="_blank" style="text-decoration: none;">Troubleshooting</a> or Reach Our <a href="https://wpthemeplugin.zendesk.com" target="_blank" style="text-decoration: none;">Responsive Support Here</a></span></div>

<div id="icon-options-general" class="icon32"></div>

<h1 style="margin:15 0;padding:17px 0;border-bottom:1px solid #D9D9D9;color:#444;font-weight:normal;">AmaSlidePro Plugin Setting</h1>

<div class="clearfix"></div>

<div class="leoamaslideplugin_dailys">
<form method="post">
<?php foreach ($amaslideoptionsplugin as $value) {
switch ( $value['type'] ) {
case "open":
?>
<?php break;
case "close":
?>
<span class="submit"><input class="button-primary" name="save<?php echo $i; ?>" type="submit" value="Save changes" />
</span>
</div>
</div>
<?php break;
case 'text':
?>
<div class="leoamaslideplugin_input leoamaslideplugin_text">
<table><tr><td>
<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label><br />
<small><?php echo $value['desc']; ?></small></td><td>
<input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo stripslashes(get_settings( $value['id'])  ); } else { echo $value['std']; } ?>" />
<div class="clearfix"></div></td></tr></table>
</div>
<?php
break;
case "checkbox":
?>
<div class="leoamaslideplugin_input leoamaslideplugin_checkbox">
<table><tr><td>
<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label><br />
<small><?php echo $value['desc']; ?></small></td><td>
<?php if(get_option($value['id'])){ $checked = "checked=\"checked\""; }else{ $checked = "";} ?>  
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="<?php echo $value['std']; ?>" <?php echo $checked; ?> />  
<div class="clearfix"></div></td></tr></table>
</div>
<?php
break;
case "subheadline":
?>
<div class="leoamaslideplugin_subheadline">
<table><tr><td>
<h3 style="font-size:16px;color:#333;margin:0;padding:0;font-weight:normal;"><?php echo $value['name']; ?></h3>
<div class="clearfix"></div></td></tr></table>
</div>
<?php  
break;  
case "select":  
?>  
<div class="leoamaslideplugin_input leoamaslideplugin_select">
<table><tr><td>
        <label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label><br />
<small><?php echo $value['desc']; ?></small></td><td> 

    <select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">  
    <?php foreach ($value['options'] as $option) { ?>  
            <option <?php if (get_settings( $value['id'] ) == $option) { echo 'selected="selected"'; } ?>><?php echo $option; ?></option><?php } ?>  
    </select>
<div class="clearfix"></div></td></tr></table>
</div>

<?php
break;
case "bottom":
?>
<div>
<?php echo $value['desc']; ?>
</div><div class="clearfix"></div>
<span class="sponsor_leoamaslideplugin">By <a href="http://wpthemeplugin.com" target="_blank" style="text-decoration: none;">WPThemePlugin</a>.</span>
<?php break;
case "above":
$i++;
?>

<div class="leoamaslideplugin_section">
<div class="leoamaslideplugin_options">
<?php break;
}
}
?>
<input type="hidden" name="action" value="save" />
</form>
<div class="clearfix"></div>
</div>



</div>
</div>

<?php }
add_action('admin_init', 'plugin_leoloveramaslideplugin_init');
add_action('admin_menu', 'plugin_leoloveramaslideplugin_admin');

?>